SMMD V2.51 SMOD

1 1729 Views 2 Comments 11 months ago
HTS CLOUDSTABLE
  • Modification of SMMD V2.51.
    -FIX budget value option
    Additional method to set the budget balance. The value is NOT percentage but the fiat/coin amount you want to allocate for the bot. This option is not compounding profit into budget balance. If your wallet balance < the value you entered then bot will use the wallet amount.

    Budget Isolation
    Rather than using ratio between current open position and max open position to reduce/SL, this option will use the ratio of working balance to budget/wallet balance. Depends on the % of size reduction setting. For me it is NOT A GOOD IDEA if you have PERCENTAGE budget calculation and size reduction 100%.
    FIX : working balance : budget balance >= 1
    PERCENTAGE: working balance : wallet balance >= 1

    Options to disable trading details in logs
    Now you have option to see or not to see those trading details in the log.

    Cloud version friendly
    Deleting leverage and contract value entry and read from the setting in cloud version.

    Binance Notional Value Mod
    Binance has minimum $5 notional value for theirs Futures. It means, the $ value of your order should not less than $5. I have add a mod that when the size calculation result is below that amount then bot will use the minimum size according to the notional value rule.

    May the profits be with you!
    More questions ? Find me in Haasonline Discord.

    If you would like to buy me a cup of coffee or diamond:
    ENS: smokyho.eth
    Lightning: [email protected]

    HaasScript Code
    Sign in or Register to download for free
  • Earn Up to $100,000 USDT Promotion Type: contest Expires: June 30, 2024 Exclusive
    Fire up your trade bots and earn up to $100,000 USDT, BitMEX VIP, free subscriptions, and more.
    • #3529
      iddqd
      Basic
      Up
      0
      Down
      ::

      4. 30 Jun 2023 22:37:00 ERROR: The script is invalid.
      3. 30 Jun 2023 22:37:00 ERROR: Unknown references: GetLeverage
      2. 30 Jun 2023 22:37:00 This script is compatible with margin and leverage trading.
      1. 30 Jun 2023 22:37:00 Doing compile test…

      upd

      on v4 works

      • #3531
        smokyho
        Basic
        Up
        0
        Down
        ::

        yes because GetLeverage is not compatible with V3.
        if you want to have it on V3, try change line 35 and 36 with the commented out command…or compare it with the original SMMD V2.51

Login or Register to Comment

Unlock your crypto trading potential

Create a free account and enjoy everything we have to offer.

Join for Free